SCSI_REPORT_OPCODE(9)

NAME
scsi_report_opcode - Find out if a given command opcode is supported

SYNOPSIS

int scsi_report_opcode(struct scsi_device * sdev, unsigned char * buffer, unsigned int len, unsigned char opcode);

ARGUMENTS

sdev
    scsi device to query

buffer
    scratch buffer (must be at least 20 bytes long)

len
    length of buffer

opcode
    opcode for command to look up

DESCRIPTION

Uses the REPORT SUPPORTED OPERATION CODES to look up the given opcode. Returns -EINVAL if RSOC fails, 0 if the command opcode is unsupported and 1 if the device claims to support the command.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT